QGIS Application - Bug report #979
disable "move vertex" tool editing points layer
2008-03-08 09:22 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11038
Description

As the title reads. The "move feature" tool is enough for points. Having 2 tools doing the same confuses the user.

History

#1 - 2008-04-16 08:48 AM - Maciej Sieczka -

Still valid as of commit:b5286872 (SVN r8353).

#2 - 2008-04-17 06:12 AM - Marco Hugentobler

- Status changed from Open to Closed
- Resolution set to fixed

fixed in commit:b21a661a (SVN r8364)

#3 - 2008-04-17 01:47 PM - Maciej Sieczka -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

| just tried with an empty [[PostGIS]] multipoint layer and both tools are still active in digitizer. If there is at least one point it's OK though.

What's wrong?

#4 - 2008-04-17 10:54 PM - Marco Hugentobler

- Status changed from Feedback to Closed
- Resolution set to fixed

This is intended behaviour. The tool is only disabled for point layers. It is enabled for multipoint layers to allow for the possibility to move only one point of a

multipoint feature.

#5 - 2008-04-17 11:25 PM - Maciej Sieczka -

Ah, well thought.

2025-04-27 12




However, | can see that both tools are enabled for simple point layers as well. Does it have to?

Also, the "Move vertex" remains selectable even after | quit digitizer.

#6 - 2008-04-17 11:47 PM - Marco Hugentobler

Oh, you are right, there is still a bug.

Please try if it works now in .

#7 - 2008-04-19 02:05 AM - Maciej Sieczka -

All OK now!

#8 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
